VocabularyTerm (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: VocabularyTerm

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class VocabularyTerm

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyTermImmutable
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyTerm

All Implemented Interfaces:
  `IVocabularyTerm`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable`

public class VocabularyTerm extends VocabularyTermImmutable implements IVocabularyTerm

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VocabularyTerm()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setCode(String code)`
  Set the code of the vocabulary term.
  `void`
  `setDescription(String description)`
  Set the description of the vocabulary term.
  `void`
  `setLabel(String label)`
  Set the label of the vocabulary term.
  `void`
  `setOrdinal(Long ordinal)`
  Set position of the term in the context of its vocabulary.

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyTermImmutable

  `getCode, getDescription, getLabel, getOrdinal, getUrl, getVocabularyTerm`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable

  `getCode, getDescription, getLabel, getOrdinal, getUrl`

- ## Constructor Details

  - ### VocabularyTerm

    public VocabularyTerm()

- ## Method Details

  - ### setCode

    public void setCode(String code)
    Description copied from interface: `IVocabularyTerm`
    Set the code of the vocabulary term.
    Specified by:
      `setCode` in interface `IVocabularyTerm`

  - ### setDescription

    public void setDescription(String description)
    Description copied from interface: `IVocabularyTerm`
    Set the description of the vocabulary term.
    Specified by:
      `setDescription` in interface `IVocabularyTerm`

  - ### setLabel

    public void setLabel(String label)
    Description copied from interface: `IVocabularyTerm`
    Set the label of the vocabulary term.
    Specified by:
      `setLabel` in interface `IVocabularyTerm`

  - ### setOrdinal

    public void setOrdinal(Long ordinal)
    Description copied from interface: `IVocabularyTerm`
    Set position of the term in the context of its vocabulary.
    Specified by:
      `setOrdinal` in interface `IVocabularyTerm`